Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.invoicing
Class InvoiceManagerImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl
            |
            +--theory.smart.ebusiness.invoicing.InvoiceManagerImpl

Deprecated. The InvoiceManger interface has been deprecated and will not be supported in version 2.0

public class InvoiceManagerImpl
extends SessionImpl

The InvoiceManager creates and manages invoices. It uses a sequencer to create keys for invoices.

See Also:
  `InvoiceManager`, `InvoiceManagerHome`, Serialized Form

Field Summary
`InvoiceHome` | `invoiceHome` Deprecated.

Fields inherited from class theory.smart.foundation.SessionImpl
`ctx, isDirty`

Constructor Summary
`InvoiceManagerImpl()` Deprecated.

Method Summary
`Invoice` | `createInvoice(PackingList packingList)` Deprecated. Create an invoice from a packinglist.
`void` | `ejbActivate()` Deprecated.
`void` | `ejbCreate()` Deprecated.
`void` | `ejbPassivate()` Deprecated.
`void` | `ejbPostCreate()` Deprecated.
`void` | `ejbRemove()` Deprecated.
`java.util.Vector` | `getInvoiceListByCustomerKey(java.lang.String customerKey)` Deprecated. Based on the customer key build a list of all the invoices associated with that customer.
`void` | `setSessionContext(SessionContext ctx)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invoiceHome

    public transient InvoiceHome invoiceHome

  Deprecated.

Constructor Detail

### InvoiceManagerImpl

    public InvoiceManagerImpl()
                       throws CreateException

  Deprecated.

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbCreate in class SessionImpl

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPostCreate in class SessionImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbActivate in class SessionImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbPassivate in class SessionImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    ejbRemove in class SessionImpl

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Deprecated.
  Overrides:
    setSessionContext in class SessionImpl

### createInvoice

    public Invoice createInvoice(PackingList packingList)
                          throws java.rmi.RemoteException,
                                 CreateException

  Deprecated.
  Create an invoice from a packinglist.

### getInvoiceListByCustomerKey

    public java.util.Vector getInvoiceListByCustomerKey(java.lang.String customerKey)
                                                 throws java.rmi.RemoteException,
                                                        FinderException,
                                                        javax.naming.NamingException

  Deprecated.
  Based on the customer key build a list of all the invoices associated with that customer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.